org.eclipse.viatra.query.runtime

## Class ViatraQueryRuntimePlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.viatra.query.runtime.ViatraQueryRuntimePlugin

- All Implemented Interfaces:
    org.osgi.framework.BundleActivator

      public class ViatraQueryRuntimePlugin
      extends org.eclipse.core.runtime.Plugin

  The activator class controls the plug-in life cycle

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLUGIN_ID`

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraQueryRuntimePlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start(org.osgi.framework.BundleContext context)`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_ID

          public static final java.lang.String PLUGIN_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViatraQueryRuntimePlugin

          public ViatraQueryRuntimePlugin()

  - ### Method Detail

    - #### start

          public void start(org.osgi.framework.BundleContext context)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `start` in class `org.eclipse.core.runtime.Plugin`
      Throws:
        `java.lang.Exception`